part of model_notifier;

/// Sync transaction builder.
abstract class SyncTransactionBuilder {
  /// Save an element of [id] to [collectionPath].
  ///
  /// The information stored in [data] will be saved in each.
  ///
  /// If [linkedCollectionPath] is specified, the element of [linkId] is added.
  Future<void> save(String id, DynamicMap data, {String? linkId});

  /// Remove an element of [id] to [collectionPath].
  ///
  /// If [linkedCollectionPath] is specified, the element of [linkId] is removed.
  Future<void> remove(String id, {String? linkId});
}
